# Uses of Interface
org.jmol.util.SimpleNode

Packages that use SimpleNode
Package
Description
org.jmol.modelset
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.util

## Uses of SimpleNode in org.jmol.modelset

Classes in org.jmol.modelset that implement SimpleNode
Modifier and Type
Class
Description
`class`
`Atom`
Methods in org.jmol.modelset that return SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
Bond.`getAtom(int i)`
`SimpleNode`
Bond.`getOtherNode(SimpleNode thisAtom)`
Methods in org.jmol.modelset with parameters of type SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
Bond.`getOtherNode(SimpleNode thisAtom)`

## Uses of SimpleNode in org.jmol.smiles

Classes in org.jmol.smiles that implement SimpleNode
Modifier and Type
Class
Description
`class`
`SmilesAtom`
This class represents an atom in a `SmilesMolecule`.
Methods in org.jmol.smiles that return SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
SmilesBond.`getAtom(int i)`
`SimpleNode`
SmilesBond.`getOtherNode(SimpleNode atom)`
Methods in org.jmol.smiles with parameters of type SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
SmilesBond.`getOtherNode(SimpleNode atom)`
`String`
SmilesAtom.`getStereoAtAt(SimpleNode[] nodes)`

## Uses of SimpleNode in org.jmol.util

Subinterfaces of SimpleNode in org.jmol.util
Modifier and Type
Interface
Description
`interface`
`Node`
Methods in org.jmol.util that return SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
SimpleEdge.`getAtom(int i)`
Get the respective atom, 0 or 1
`SimpleNode`
SimpleEdge.`getOtherNode(SimpleNode a)`
Methods in org.jmol.util with parameters of type SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
SimpleEdge.`getOtherNode(SimpleNode a)`